Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7220 - RH 6.1 installed system keeps sending bootp messages (pump)
Summary: RH 6.1 installed system keeps sending bootp messages (pump)
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: pump
Version: 6.1
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: Erik Troan
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-11-22 10:21 UTC by elsen
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-02-24 18:15:13 UTC


Attachments (Terms of Use)

Description elsen 1999-11-22 10:21:57 UTC
- After installation of a DELL PC  with RH6.1 with
NFS - kickstart method the system keeps sending bootp
messages continuously using the "pump" process.
How can I stop this ?

I   can kill pump of course, but I would like a more
fundamental solution. I can see that for instance /etc/pump.conf
is not created by default on the system,

                  Thanks for your time.

                                 Marc ELSEN  (elsen@imec.be)

Comment 1 Erik Troan 1999-11-22 19:08:59 UTC
Is pump configuring your device properly? Does the flooding start immediately
on boot?

Comment 2 elsen 1999-11-23 07:48:59 UTC
No , the flooding does not start immediately on boot
but after the system is fully up; e.g. after KDE  or GNOME
has been launched.
Manual tests with killing and launching pump seems to indicate
that a normal bootp sequence occurs upon invoking pump
then after half a minute or so the flooding starts.
Killing pump again resolves the problem.

                                           Regards,

                                                    Marc.

Comment 3 elsen 1999-11-23 09:18:59 UTC
For your information ;following a suggestion from someone
in Dejanews I got my problem solved by replacing by using dhcpcd
instead of pump in the /sbin/ifup script.


          Best Regards,

                          Marc (elsen@imec.be)

Comment 4 Erik Troan 1999-11-23 14:51:59 UTC
Could you add this to syslog.conf:

	*.debug                                                 /var/log/debug

restart syslog, run pump, and send me that file along with your
/var/log/messages output after you kill pump?

Comment 5 elsen 1999-11-23 16:32:59 UTC
provided info through email.

Comment 6 Erik Troan 2000-02-24 18:15:59 UTC
What lease time are you getting? Running pump --status right after "pump"
should give you this info.

Comment 7 Erik Troan 2000-09-29 16:30:13 UTC
Fixed in recent versions of pump.


Note You need to log in before you can comment on or make changes to this bug.